#
# spec file for package python-translationstring
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2015 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-translationstring
Version:        1.3
Release:        4.6
Url:            http://www.repoze.org
Summary:        Utility library for i18n relied on by various Repoze and Pyramid packages
License:        SUSE-Repoze
Group:          Development/Languages/Python
Source:         translationstring-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-pylons_sphinx_theme
BuildRequires:  python-setuptools
# Documentation requirements:
BuildRequires:  python-Sphinx
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A library used by various Pylons Project packages for internationalization
(i18n) duties related to translation.

This package provides a translation string class, a translation string factory
class, translation and pluralization primitives, and a utility that helps
Chameleon templates use translation facilities of this package. It does not
depend on Babel, but its translation and pluralization services are meant to
work best when provided with an instance of the babel.support.Translations class.

%package doc
Summary:        Utility library for i18n relied on by various Repoze and Pyramid packages
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n translationstring-%{version}

%build
python setup.py build
pushd docs && make html && rm _build/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc *.txt
%python_sitelib/*

%files doc
%defattr(-,root,root,-)
%doc docs/_build/html

%changelog
* Fri Feb  6 2015 hpj@urpla.net
- update to version 1.3:
  - Fix Python 3-specific test failures.
    Restore compatibility with Python 3.2.
- 1.2 (2014-11-04)
  - Add support for message contexts.
  - If the object passed to a TranslationStringFactory __call__ method is
    itself a translation string, use the passed object’s domain instead of the
    domain passed to the factory’s contstructor. See
    https://github.com/Pylons/translationstring/pull/12 .
* Mon Dec 16 2013 cfarrell@suse.com
- license update: SUSE-Repoze
  See spreadsheet linked from license.opensuse.org
* Mon Jul 29 2013 speilicke@suse.com
- Simplify macro usage
- Remove reStructuredText from %%description
* Sun Jul 28 2013 hpj@urpla.net
- version 1.1: initial build
